Object Storage

List buckets

get/object-storage/buckets

See your organization's buckets with their tier, endpoint, size, status and this month's cost.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Query parameters

project_id?integer | null

Only the buckets of this project

tier?string | null

Only the buckets of this tier (slug or uuid)

Rangelength ≤ 64
tag?array<string>

Only the buckets with this tag: key or key=value. Repeat it to require several (AND)

Rangeitems ≤ 10

Responses

Successful Response

application/json

array<ObjectStorageBucketOut>

uuid*string
name*string
status*string
suspend_reason?string | null
write_blocked?boolean
Defaultfalse
error_message?string | null
project_id?integer | null
tier*ObjectStorageTierSummary
Properties (4)
uuid*string
slug*string
name*string
media*string
location_name?string | null
region*string
endpoint*string
versioning*string
protected*boolean
size_bytes*integer
size_cap_gb_effective*integer
objects_count*integer
usage_updated_at?string | null
monthly_charges*number
cdn_connected*boolean
tags?record<string, string>
Default{}
lifecycle_status?string
Default"none"
lifecycle_rules_count?integer
Default0
event_rules_count?integer
Default0
object_lock*ObjectStorageObjectLockOut
Properties (2)
enabled*boolean
default_retention?ObjectStorageLockRetentionOut | null
Properties (3)
mode*string
Value in"governance""compliance"
days?integer | null
years?integer | null
locked_content_kept?boolean
Defaultfalse
encryption?ObjectStorageBucketEncryptionOut | null

Encryption at rest (SSE-S3). scope: all_objects, or new_objects while objects written before the bucket default may still be stored in plaintext.

Properties (3)
algorithm*string
Value in"AES256"
scope*string
Value in"all_objects""new_objects"
applied_at?string | null

When the bucket's encryption default was applied

Formatdate-time